package com.ekingwin.bas.cloud.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "config.ipDir")
@Data
@ApiModel("附件上传配置文件")
public class FileConfig {

    @ApiModelProperty(value = "附件上传路径")
    private String certification;

    @ApiModelProperty(value = "文件下载路径")
    private String fileurl;
}
