package com.ekingwin.bas.cloud.tenant.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ekingwin.bas.cloud.tenant.dao.entity.Tenant;
import com.ekingwin.bas.cloud.tenant.dao.entity.TenantEmployee;
import com.ekingwin.bas.cloud.tenant.dao.entity.TenantOrganization;
import com.ekingwin.bas.mapper.BasMapper;

public interface TenantDao extends BasMapper<Tenant>{
	public List<Tenant> getTenantByCreditcode(@Param("creditcode")String creditcode);
	public void deleteTenantEmployeeByMobilephone(@Param("mobilephone")String mobilephone);
	public List<TenantEmployee> getTenantEmployeeByMobilephone(@Param("mobilephone")String mobilephone);
	public List<TenantOrganization> getTenantOrganizationByTenantid(@Param("tenantid")String tenantid);
	
}
