package com.ekingwin.bas.cloud.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("内部用户信息")
public class InnerUserDto{
    @ApiModelProperty(value = "员工uid", required = false)
    private	String	empuid	;
    @ApiModelProperty(value = "员工工号", required = false)
    private	String	empid	;
    @ApiModelProperty(value = "中文名称", required = false)
    private	String	cnname	;
    @ApiModelProperty(value = "邮件", required = false)
    private	String	email	;
    @ApiModelProperty(value = "电话", required = false)
    private	String	mobilephone	;
    @ApiModelProperty(value = "部门ID", required = false)
    private	String	deptid	;
    @ApiModelProperty(value = "默认部门", required = false)
    private	Integer	defaultpos	;
    @ApiModelProperty(value = "电话", required = false)
    private	String	phone;
    @ApiModelProperty(value = "性别", required = false)
    private	String	sex	;
    @ApiModelProperty(value = "0代表内部用户，1代表外部用户", required = false)
    private	String	remark	;
    @ApiModelProperty(value = "全名", required = false)
    private	String	displayname;

    @ApiModelProperty(value = "N启用 Y禁用", required = false)
    private  String isDeleted;
}
